# Created by pyp2rpm-3.3.2
%global pypi_name zipp

%bcond_with docs
%bcond_with test

Name:           python-%{pypi_name}
Version:        3.21.0
Release:        %mkrel 1
Summary:        Backport of pathlib-compatible object wrapper for zip files
Group:          Development/Python
License:        MIT
URL:            https://github.com/jaraco/zipp
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools-scm+toml
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-wheel
%if %{with docs}
BuildRequires:  python3dist(contextlib2)
BuildRequires:  python3dist(jaraco.packaging)
BuildRequires:  python3dist(rst.linker)
BuildRequires:  python3dist(sphinx)
%endif
%if %{with test}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(jaraco.itertools)
BuildRequires:  python3dist(jaraco.test)
BuildRequires:  python3dist(jaraco.packaging)
%endif

%description
A pathlib-compatible Zipfile object wrapper. A backport of the Path object.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A pathlib-compatible Zipfile object wrapper. A backport of the Path object.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# drop bundled egg-info
rm -rf *.egg-info


%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with test}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif


%changelog
* Sat Dec 21 2024 papoteur <papoteur> 3.21.0-1.mga10
+ Revision: 2127087
- new version 3.21.0

* Sun Dec 10 2023 daviddavid <daviddavid> 3.8.1-4.mga10
+ Revision: 2017042
- rebuild for py3.12

* Sat Nov 05 2022 papoteur <papoteur> 3.8.1-3.mga9
+ Revision: 1903662
- disable docs build, new version needs at least one more module
- new 3.8.0
+ wally <wally>
- update setuptools-scm BRs
+ neoclust <neoclust>
- New version  3.8.1

* Tue Mar 29 2022 umeabot <umeabot> 3.7.0-2.mga9
+ Revision: 1832832
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 tv <tv> 3.7.0-1.mga9
+ Revision: 1784029
- 3.7.0

* Mon Feb 14 2022 tmb <tmb> 3.5.0-2.mga9
+ Revision: 1774222
- rebuild for python 3.10

* Wed Sep 01 2021 wally <wally> 3.5.0-1.mga9
+ Revision: 1743974
- new version 3.5.0

* Mon Mar 15 2021 neoclust <neoclust> 1.0.0-2.mga9
+ Revision: 1703242
- Rebuild against python 3.9

* Fri Jun 12 2020 kekepower <kekepower> 1.0.0-1.mga8
+ Revision: 1592978
- Update to version 1.0.0

* Sun Feb 16 2020 umeabot <umeabot> 0.6.0-2.mga8
+ Revision: 1530866
- Mageia 8 Mass Rebuild

* Thu Sep 05 2019 wally <wally> 0.6.0-1.mga8
+ Revision: 1437605
- new version 0.6.0
- rebuild for python3.8

* Sat Aug 03 2019 kekepower <kekepower> 0.5.2-1.mga8
+ Revision: 1427203
- imported package python-zipp

